<%@ Control Language="C#" AutoEventWireup="false" CodeFile="Settings.ascx.cs" Inherits="phdcc.ContactForm.Settings" %>

<!-- phdcc.ContactForm Copyright  2011 PHD Computer Consultants Ltd, PHDCC http://www.phdcc.com/phdcc.ContactForm/ -->

<fieldset id="fieldsetSettingsWhole" runat="server" class="phdcc_ContactForm_settings_fieldset">
<legend id="legendSettingsWhole" runat="server" class="phdcc_ContactForm_settings_legend">Settings for whole form:</legend>

<div class="phdcc_ContactForm_settings_fieldset_div">

<div class="phdcc_ContactForm_line">
	<div class="phdcc_ContactForm_labels">
		<asp:Label ID="lblInfo" runat="server" AssociatedControlID="txtInfo" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_Info" Text="Header information:" />
	</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:TextBox ID="txtInfo" runat="server" class="phdcc_ContactForm_settings phdcc_ContactForm_settings_Name" TextMode="MultiLine" Rows="5" />
		<asp:Label ID="lblInfoError" runat="server" class="phdcc_ContactForm_validate_error" />
	</div>
</div>

<div class="phdcc_ContactForm_line">
	<div class="phdcc_ContactForm_labels">
		<asp:Label ID="lblInstructions" runat="server" AssociatedControlID="txtInstructions" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_Instructions" Text="Header instructions:" />
	</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:TextBox ID="txtInstructions" runat="server" class="phdcc_ContactForm_settings phdcc_ContactForm_settings_Instructions" TextMode="MultiLine" Rows="5"/>
		<asp:Label ID="lblInstructionsError" runat="server" class="phdcc_ContactForm_validate_error" />
	</div>
</div>

<div class="phdcc_ContactForm_line">
	<div class="phdcc_ContactForm_labels">
		<asp:Label ID="lblCC" runat="server" AssociatedControlID="chkCC" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_Instructions" Text="Send copy email by default:" />
	</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:CheckBox ID="chkCC" runat="server" class="phdcc_ContactForm_settings phdcc_ContactForm_settings_CC"/>
		<asp:Label ID="lblCCError" runat="server" class="phdcc_ContactForm_validate_error" />
	</div>
</div>

<div class="phdcc_ContactForm_line">
	<div class="phdcc_ContactForm_labels">
		<asp:Label ID="lblShowCC" runat="server" AssociatedControlID="chkShowCC" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_Instructions" Text="Show copy checkbox:" />
	</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:CheckBox ID="chkShowCC" runat="server" class="phdcc_ContactForm_settings phdcc_ContactForm_settings_ShowCC"/>
		<asp:Label ID="lblShowCCError" runat="server" class="phdcc_ContactForm_validate_error" />
	</div>
</div>

<div class="phdcc_ContactForm_line">
	<div class="phdcc_ContactForm_labels">
		<asp:Label ID="lblHourlyThreshold" runat="server" AssociatedControlID="ddlHourlyThreshold" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_Instructions" Text="Hourly threshold:" />
	</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:DropDownList ID="ddlHourlyThreshold" runat="server" class="phdcc_ContactForm_settings phdcc_ContactForm_settings_HourlyThreshold" />
		<asp:Label ID="lblHourlyThresholdError" runat="server" class="phdcc_ContactForm_validate_error" />
	</div>
</div>

<div class="phdcc_ContactForm_line">
	<div class="phdcc_ContactForm_labels">
		<asp:Label ID="lblCAPTCHA" runat="server" AssociatedControlID="ddlCAPTCHA" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_Instructions" Text="CAPTCHA option:" />
	</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:DropDownList ID="ddlCAPTCHA" runat="server" class="phdcc_ContactForm_settings phdcc_ContactForm_settings_CAPTCHA" >
		<asp:ListItem Value="0" Text="No CAPTCHA" />
		<asp:ListItem Value="1" Text="Simple number CAPTCHA for all users" />
		<asp:ListItem Value="2" Text="Simple number CAPTCHA for anonymous users" />
		</asp:DropDownList>
		<asp:Label ID="lblCAPTCHAError" runat="server" class="phdcc_ContactForm_validate_error" />
	</div>
</div>

</div>

</fieldset>


<fieldset id="fieldsetSettingsCategories" runat="server" class="phdcc_ContactForm_settings_fieldset">
<legend id="legendSettingsCategories" runat="server" class="phdcc_ContactForm_settings_legend">Categories:</legend>

<div class="phdcc_ContactForm_settings_fieldset_div">

<p>
	<asp:Label ID="lblCategories" runat="server" AssociatedControlID="lbCategories" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_Categories" Text="Categories:" />
	<asp:ListBox ID="lbCategories" runat="server" class="phdcc_ContactForm_settings phdcc_ContactForm_settings_Categories" />
</p>
<p>
	<asp:Button ID="btnAdd" runat="server" onclick="Add_Click" Text="Add" />
	<asp:Button ID="btnEdit" runat="server" onclick="Edit_Click" Text="Edit" />
	<asp:Button ID="btnDelete" runat="server" onclick="Delete_Click" Text="Delete" />
</p>

<div id="divCategory" runat="server" visible="false">

<div class="phdcc_ContactForm_line">
	<div class="phdcc_ContactForm_labels">
		<asp:Label ID="lblCategoryName" runat="server" AssociatedControlID="txtCategoryName" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_CategoryName" Text="Category name:" />
	</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:TextBox ID="txtCategoryName" runat="server" class="phdcc_ContactForm_settings phdcc_ContactForm_settings_Name" />
		<asp:Label ID="lblCategoryNameError" runat="server" class="phdcc_ContactForm_validate_error" />
	</div>
</div>

<div class="phdcc_ContactForm_line">
	<div class="phdcc_ContactForm_labels">
		<asp:Label ID="lblEmails" runat="server" AssociatedControlID="txtEmails" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_Emails" Text="Recipient email(s):" />
	</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:TextBox ID="txtEmails" runat="server" class="phdcc_ContactForm_settings phdcc_ContactForm_settings_Emails" />
		<asp:Label ID="lblEmailsError" runat="server" class="phdcc_ContactForm_validate_error" />
	</div>
</div>

<div class="phdcc_ContactForm_line">
	<div class="phdcc_ContactForm_labels">
		<asp:Label ID="lblSelected" runat="server" AssociatedControlID="chkSelected" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_Selected" Text="Selected:" />
	</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:CheckBox ID="chkSelected" runat="server" class="phdcc_ContactForm_settings phdcc_ContactForm_settings_CC"/>
		<asp:Label ID="lblSelectedError" runat="server" class="phdcc_ContactForm_validate_error" />
	</div>
</div>

<div class="phdcc_ContactForm_line">
	<div class="phdcc_ContactForm_labels">&nbsp;</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:Button ID="btnSave" runat="server" onclick="Save_Click" Text="Save" />
	</div>
</div>

</div>

</div>
</fieldset>

<fieldset id="fieldsetNotes" runat="server" class="phdcc_ContactForm_settings_fieldset">
<legend id="legendNotes" runat="server" class="phdcc_ContactForm_settings_legend">Additional configuration options:</legend>

<div class="phdcc_ContactForm_settings_fieldset_div">

<ul>
<li>You can change the wording of the form in [Admin] [Languages] then click on the Edit icon under System, Host or Site.
	Select Local Resources, DesktopModules, phdcc.ContactForm, App_LocalResources then ViewContactForm.ascx.
</li>
<li>You can change the appearance using the CSS stylesheet in file /DesktopModules/phdcc.ContactForm/module.css</li>
</ul>

</div>
</fieldset>
