<%@ Control language="C#" Inherits="phdcc.ContactForm.ViewContactForm" CodeFile="ViewContactForm.ascx.cs" AutoEventWireup="true"%>

<!-- phdcc.ContactForm Copyright  2011 PHD Computer Consultants Ltd, PHDCC http://www.phdcc.com/phdcc.ContactForm/ -->

<div id="divAdmin" visible="false" runat="server" class="phdcc_ContactForm_admin">
	<asp:Label ID="lblNoSettings" runat="server" Text="Please configure the contact form in Settings" />
	<asp:Button ID="btnSettings" runat="server" Text="Settings"
		onclick="btnSettings_Click" /><br />
	<asp:Label ID="lblDefaulted" runat="server" />
</div>


<fieldset id="FormFieldset" runat="server" class="phdcc_ContactForm_fieldset">
<legend id="legend" runat="server" class="phdcc_ContactForm_legend"></legend>

<div class="phdcc_ContactForm_header">
	<p class="phdcc_ContactForm_header_info">
		<asp:Literal ID="litInfo" runat="server" />
	</p>
	<p class="phdcc_ContactForm_header_instructions">
		<asp:Literal ID="litInstructions" runat="server" />
	</p>
</div>

<div class="phdcc_ContactForm_line">
	<div class="phdcc_ContactForm_labels">
		<asp:Label ID="lblName" runat="server" AssociatedControlID="txtName" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_Name" />
	</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:TextBox ID="txtName" runat="server" class="phdcc_ContactForm_textbox phdcc_ContactForm_textbox_Name" />
		<asp:Label ID="lblNameRequired" runat="server" class="phdcc_ContactForm_required" >*</asp:Label>
		<asp:Label ID="lblNameError" runat="server" class="phdcc_ContactForm_validate_error" />
	</div>
</div>

<div class="phdcc_ContactForm_line">
	<div class="phdcc_ContactForm_labels">
		<asp:Label ID="lblEmail" runat="server" AssociatedControlID="txtEmail" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_Email" />
	</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:TextBox ID="txtEmail" runat="server" class="phdcc_ContactForm_textbox phdcc_ContactForm_textbox_Email" />
		<asp:Label ID="lblEmailRequired" runat="server" class="phdcc_ContactForm_required" >*</asp:Label>
		<asp:Label ID="lblEmailError" runat="server" class="phdcc_ContactForm_validate_error" />
	</div>
</div>

<div class="phdcc_ContactForm_line">
	<div class="phdcc_ContactForm_labels">
		<asp:Label ID="lblSubject" runat="server" AssociatedControlID="txtSubject" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_Subject" />
	</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:TextBox ID="txtSubject" runat="server" class="phdcc_ContactForm_textbox phdcc_ContactForm_textbox_Subject" />
		<asp:Label ID="lblSubjectRequired" runat="server" class="phdcc_ContactForm_required" >*</asp:Label>
		<asp:Label ID="lblSubjectError" runat="server" class="phdcc_ContactForm_validate_error" />
	</div>
</div>

<div class="phdcc_ContactForm_line" id="divCategory" runat="server">
	<div class="phdcc_ContactForm_labels">
		<asp:Label ID="lblCategory" runat="server" AssociatedControlID="ddlCategory" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_Category" />
	</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:DropDownList ID="ddlCategory" runat="server" class="phdcc_ContactForm_dropdown phdcc_ContactForm_dropdown_Category" />
		<asp:Label ID="lblCategoryRequired" runat="server" class="phdcc_ContactForm_required" >*</asp:Label>
		<asp:Label ID="lblCategoryError" runat="server" class="phdcc_ContactForm_validate_error" />
	</div>
</div>


<div class="phdcc_ContactForm_line">
	<div class="phdcc_ContactForm_labels">
		<asp:Label ID="lblMessage" runat="server" AssociatedControlID="txtMessage" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_Message" />
	</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:TextBox ID="txtMessage" runat="server" class="phdcc_ContactForm_textbox phdcc_ContactForm_textbox_Message" Rows="5" Columns="40" TextMode="MultiLine" />
		<asp:Label ID="lblMessageRequired" runat="server" class="phdcc_ContactForm_required" >*</asp:Label>
		<asp:Label ID="lblMessageError" runat="server" class="phdcc_ContactForm_validate_error" />
	</div>
</div>

<div class="phdcc_ContactForm_line" id="divCC" runat="server">
	<div class="phdcc_ContactForm_labels">
		<asp:Label ID="lblCC" runat="server" AssociatedControlID="chkCC" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_CC" />
	</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:CheckBox ID="chkCC" runat="server" class="phdcc_ContactForm_checkbox phdcc_ContactForm_checkbox_CC"/>
	</div>
</div>

<div class="phdcc_ContactForm_line" id="divCAPTCHA" runat="server">
	<div class="phdcc_ContactForm_labels">
		<asp:Label ID="lblCAPTCHA" runat="server" AssociatedControlID="txtCAPTCHA" CssClass="phdcc_ContactForm_label phdcc_ContactForm_label_CAPTCHA" />
	</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:TextBox ID="txtCAPTCHA" runat="server" class="phdcc_ContactForm_textbox phdcc_ContactForm_textbox_CAPTCHA" />
		<asp:Label ID="lblCAPTCHARequired" runat="server" class="phdcc_ContactForm_required" >*</asp:Label>
		<asp:Label ID="lblCAPTCHAError" runat="server" class="phdcc_ContactForm_validate_error" />
	</div>
</div>

<div class="phdcc_ContactForm_line">
	<div class="phdcc_ContactForm_labels">&nbsp;</div>
	<div class="phdcc_ContactForm_boxes">
		<asp:Button ID="btnSendEmail" runat="server" onclick="btnSendEmail_Click" class="phdcc_ContactForm_button phdcc_ContactForm_button_SendEmail" />
	</div>
</div>

</fieldset>

<p><asp:Label ID="lblSentMessage" runat="server" class="phdcc_ContactForm_sent_message" /></p>
<pre id="lblError" runat="server" style="color:Red;" Visible="false" />

<p class="phdcc_ContactForm_credits"><asp:Label ID="lblModuleInfo" runat="server" /></p>
